package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*结算
* @author quyixiao
* @since 2025-11-10
*/

@Data
@TableName("vv_my_account")
public class VvMyAccountEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvMyAccountEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // 
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String amount_ = CLASS_NAME + "amount";                     // 账户金额
    public final static String recharge_amount = CLASS_NAME + "recharge_amount";    // 充值金额
    public final static String sub_amount = CLASS_NAME + "sub_amount";              // 报销金额
    public final static String type_ = CLASS_NAME + "type";                         // 账户类型， 公款:common
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //账户金额
    private BigDecimal amount;
    //充值金额
    private BigDecimal rechargeAmount;
    //报销金额
    private BigDecimal subAmount;
    //账户类型， 公款:common
    private String type;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 账户金额 
     * @return
     */
    public BigDecimal getAmount() {
        return amount;
    }
    /**
     * 账户金额 
     * @param amount
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /**
     * 充值金额 
     * @return
     */
    public BigDecimal getRechargeAmount() {
        return rechargeAmount;
    }
    /**
     * 充值金额 
     * @param rechargeAmount
     */
    public void setRechargeAmount(BigDecimal rechargeAmount) {
        this.rechargeAmount = rechargeAmount;
    }

    /**
     * 报销金额 
     * @return
     */
    public BigDecimal getSubAmount() {
        return subAmount;
    }
    /**
     * 报销金额 
     * @param subAmount
     */
    public void setSubAmount(BigDecimal subAmount) {
        this.subAmount = subAmount;
    }

    /**
     * 账户类型， 公款:common 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 账户类型， 公款:common 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "VvMyAccountEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",amount=" + amount +
                ",rechargeAmount=" + rechargeAmount +
                ",subAmount=" + subAmount +
                ",type=" + type +
                "}";
    }
}